package convert

import (
	"mylomen_server/common/dto"
	"mylomen_server/infrastructure/repository"
)

func UserReq2DO(req dto.LoginReq) repository.UserDO {
	data := repository.UserDO{}
	data.Account = req.Account
	data.GoogleId = req.GoogleId
	data.FacebookId = req.FacebookId
	data.WxId = req.WxId
	data.QqId = req.QqId
	data.Phone = req.Phone
	data.Email = req.Email

	return data
}

func UserDO2VO(req repository.UserDO) dto.UserVO {
	data := dto.UserVO{}

	data.Sn = req.Sn
	data.Account = req.Account
	data.Nickname = req.NickName
	data.Avatar = req.Avatar

	return data
}
