package remote_http

import (
	"github.com/imroc/req/v3"
	"time"
)

var httpClient = req.C().SetTimeout(110 * time.Second)

type Result[T any] struct {
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data T      `json:"data"`
}
